<?php

/**
 * Fired during plugin activation
 *
 * @link       https://www.civicuk.com/
 * @since      1.0.0
 *
 * @package    Cookie_Control
 * @subpackage Cookie_Control/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Civic_Cookie_Control_8
 * @subpackage Civic_Cookie_Control_8/includes
 * @author     Civic Uk <info@civicuk.com>
 */
class CCC_Cookie_Control_Activator {

	/**
	 * @since    1.0.0
	 */
	public static function ccc_activate() {

		update_option( 'civic_cookie_control_version', CIVIC_COOKIE_CONTROL_VERSION );
		return CIVIC_COOKIE_CONTROL_VERSION;

	}

	public static function ccc_is_current_version() {

		$version = get_option( 'civic_cookie_control_version' );
		return version_compare( $version, CIVIC_COOKIE_CONTROL_VERSION, '=' ) ? true : false;

	}

}